sidebarNodes={"extras":[{"group":"","headers":[{"anchor":"modules","id":"Modules"}],"id":"api-reference","title":"API Reference"},{"group":"","headers":[{"anchor":"installation","id":"Installation"},{"anchor":"changelog","id":"Changelog"},{"anchor":"documentation","id":"Documentation"}],"id":"readme","title":"Tempus"},{"group":"","headers":[{"anchor":"usecases","id":"Usecases"},{"anchor":"initializing-slots","id":"Initializing Slots"},{"anchor":"checking-state","id":"Checking State"}],"id":"getting-started","title":"Getting Started"}],"modules":[{"group":"","id":"Tempus","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:count/0","id":"count/0","title":"count()"},{"anchor":"t:direction/0","id":"direction/0","title":"direction()"},{"anchor":"t:option/0","id":"option/0","title":"option()"},{"anchor":"t:options/0","id":"options/0","title":"options()"},{"anchor":"t:slice_type/0","id":"slice_type/0","title":"slice_type()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"add/4","id":"add/4","title":"add(slots, origin \\\\ DateTime.utc_now(), amount_to_add, unit \\\\ :second)"},{"anchor":"days_add/2","id":"days_add/2","title":"days_add(slots, opts \\\\ [])"},{"anchor":"days_ago/3","id":"days_ago/3","title":"days_ago(slots, origin, count)"},{"anchor":"days_ahead/3","id":"days_ahead/3","title":"days_ahead(slots, origin, count)"},{"anchor":"drop_while/2","id":"drop_while/2","title":"drop_while(slots, fun)"},{"anchor":"free?/3","id":"free?/3","title":"free?(slots, slot, method \\\\ :smart)"},{"anchor":"guess/1","id":"guess/1","title":"guess(input)"},{"anchor":"guess/2","id":"guess/2","title":"guess(from, to)"},{"anchor":"next_busy/2","id":"next_busy/2","title":"next_busy(slots, opts \\\\ [])"},{"anchor":"next_free/2","id":"next_free/2","title":"next_free(slots, opts \\\\ [])"},{"anchor":"slice/4","id":"slice/4","title":"slice(slots, from, to, type \\\\ :reluctant)"},{"anchor":"slot/2","id":"slot/2","title":"slot(from, to)"},{"anchor":"slot!/2","id":"slot!/2","title":"slot!(from, to)"},{"anchor":"slots/1","id":"slots/1","title":"slots(enum)"},{"anchor":"take_while/2","id":"take_while/2","title":"take_while(slots, fun)"}]}],"sections":[],"title":"Tempus"},{"group":"Helpers","id":"Tempus.Guards","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"is_coming_before/2","id":"is_coming_before/2","title":"is_coming_before(o1, o2)"},{"anchor":"is_covered/2","id":"is_covered/2","title":"is_covered(o, s)"},{"anchor":"is_joint/2","id":"is_joint/2","title":"is_joint(s1, s2)"},{"anchor":"is_origin/1","id":"is_origin/1","title":"is_origin(term)"},{"anchor":"is_slot_border/2","id":"is_slot_border/2","title":"is_slot_border(dt, s)"},{"anchor":"is_slot_equal/2","id":"is_slot_equal/2","title":"is_slot_equal(s1, s2)"},{"anchor":"is_slot_nil/1","id":"is_slot_nil/1","title":"is_slot_nil(s)"},{"anchor":"is_slot_open/1","id":"is_slot_open/1","title":"is_slot_open(s)"},{"anchor":"joint_in_delta?/3","id":"joint_in_delta?/3","title":"joint_in_delta?(s1, s2, delta)"}]}],"sections":[],"title":"Tempus.Guards"},{"group":"Helpers","id":"Tempus.Sigils","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"parse/1","id":"parse/1","title":"parse(input)"},{"anchor":"sigil_I/2","id":"sigil_I/2","title":"sigil_I(arg, modifiers)"}]}],"sections":[],"title":"Tempus.Sigils"},{"group":"Slots","id":"Tempus.Slot","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:origin/0","id":"origin/0","title":"origin()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"compare/3","id":"compare/3","title":"compare(s1, s2, strict \\\\ false)"},{"anchor":"cover?/3","id":"cover?/3","title":"cover?(slot, dt, strict? \\\\ false)"},{"anchor":"disjoint?/2","id":"disjoint?/2","title":"disjoint?(s1, s2)"},{"anchor":"duration/2","id":"duration/2","title":"duration(slot, unit \\\\ :second)"},{"anchor":"intersect/1","id":"intersect/1","title":"intersect(slots)"},{"anchor":"join/1","id":"join/1","title":"join(list)"},{"anchor":"join/2","id":"join/2","title":"join(s1, s2)"},{"anchor":"neighbour?/2","id":"neighbour?/2","title":"neighbour?(s1, s2)"},{"anchor":"new/1","id":"new/1","title":"new(from_to)"},{"anchor":"new/2","id":"new/2","title":"new(from, to)"},{"anchor":"new!/2","id":"new!/2","title":"new!(from, to)"},{"anchor":"shift_tz/3","id":"shift_tz/3","title":"shift_tz(slot, tz \\\\ \"Etc/UTC\", tz_db \\\\ Calendar.get_time_zone_database())"},{"anchor":"strict_compare/2","id":"strict_compare/2","title":"strict_compare(s1, s2)"},{"anchor":"valid?/1","id":"valid?/1","title":"valid?(arg1)"},{"anchor":"wrap/2","id":"wrap/2","title":"wrap(moment \\\\ nil, origin \\\\ DateTime.utc_now())"}]}],"sections":[],"title":"Tempus.Slot"},{"group":"Slots","id":"Tempus.Slots","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:avl_tree/0","id":"avl_tree/0","title":"avl_tree()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"add/3","id":"add/3","title":"add(slots, slot, join_neighbours \\\\ false)"},{"anchor":"avl_tree/1","id":"avl_tree/1","title":"avl_tree(slots)"},{"anchor":"inverse/2","id":"inverse/2","title":"inverse(slots, tails \\\\ :keep)"},{"anchor":"merge/1","id":"merge/1","title":"merge(slots)"},{"anchor":"merge/2","id":"merge/2","title":"merge(this, other)"},{"anchor":"size/1","id":"size/1","title":"size(slots)"},{"anchor":"wrap/1","id":"wrap/1","title":"wrap(slots)"}]}],"sections":[],"title":"Tempus.Slots"},{"group":"Exceptions","id":"Tempus.ArgumentError","sections":[],"title":"Tempus.ArgumentError"}],"tasks":[]}